KeyExchangeAlgorithm (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.tls

## Class KeyExchangeAlgorithm

- java.lang.Object
- - org.bouncycastle.crypto.tls.KeyExchangeAlgorithm

-     public class KeyExchangeAlgorithm
      extends java.lang.Object

  RFC 2246

  Note that the values here are implementation-specific and arbitrary. It is recommended not to depend on the particular values (e.g. serialization).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DH_anon`
    `static int` | `DH_anon_EXPORT`
    `static int` | `DH_DSS`
    `static int` | `DH_DSS_EXPORT`
    `static int` | `DH_RSA`
    `static int` | `DH_RSA_EXPORT`
    `static int` | `DHE_DSS`
    `static int` | `DHE_DSS_EXPORT`
    `static int` | `DHE_PSK`
    `static int` | `DHE_RSA`
    `static int` | `DHE_RSA_EXPORT`
    `static int` | `ECDH_anon`
    `static int` | `ECDH_ECDSA`
    `static int` | `ECDH_RSA`
    `static int` | `ECDHE_ECDSA`
    `static int` | `ECDHE_PSK`
    `static int` | `ECDHE_RSA`
    `static int` | `NULL`
    `static int` | `PSK`
    `static int` | `RSA`
    `static int` | `RSA_EXPORT`
    `static int` | `RSA_PSK`
    `static int` | `SRP`
    `static int` | `SRP_DSS`
    `static int` | `SRP_RSA`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyExchangeAlgorithm()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL

          public static final int NULL

      See Also:
        Constant Field Values

    - #### RSA

          public static final int RSA

      See Also:
        Constant Field Values

    - #### RSA_EXPORT

          public static final int RSA_EXPORT

      See Also:
        Constant Field Values

    - #### DHE_DSS

          public static final int DHE_DSS

      See Also:
        Constant Field Values

    - #### DHE_DSS_EXPORT

          public static final int DHE_DSS_EXPORT

      See Also:
        Constant Field Values

    - #### DHE_RSA

          public static final int DHE_RSA

      See Also:
        Constant Field Values

    - #### DHE_RSA_EXPORT

          public static final int DHE_RSA_EXPORT

      See Also:
        Constant Field Values

    - #### DH_DSS

          public static final int DH_DSS

      See Also:
        Constant Field Values

    - #### DH_DSS_EXPORT

          public static final int DH_DSS_EXPORT

      See Also:
        Constant Field Values

    - #### DH_RSA

          public static final int DH_RSA

      See Also:
        Constant Field Values

    - #### DH_RSA_EXPORT

          public static final int DH_RSA_EXPORT

      See Also:
        Constant Field Values

    - #### DH_anon

          public static final int DH_anon

      See Also:
        Constant Field Values

    - #### DH_anon_EXPORT

          public static final int DH_anon_EXPORT

      See Also:
        Constant Field Values

    - #### PSK

          public static final int PSK

      See Also:
        Constant Field Values

    - #### DHE_PSK

          public static final int DHE_PSK

      See Also:
        Constant Field Values

    - #### RSA_PSK

          public static final int RSA_PSK

      See Also:
        Constant Field Values

    - #### ECDH_ECDSA

          public static final int ECDH_ECDSA

      See Also:
        Constant Field Values

    - #### ECDHE_ECDSA

          public static final int ECDHE_ECDSA

      See Also:
        Constant Field Values

    - #### ECDH_RSA

          public static final int ECDH_RSA

      See Also:
        Constant Field Values

    - #### ECDHE_RSA

          public static final int ECDHE_RSA

      See Also:
        Constant Field Values

    - #### ECDH_anon

          public static final int ECDH_anon

      See Also:
        Constant Field Values

    - #### SRP

          public static final int SRP

      See Also:
        Constant Field Values

    - #### SRP_DSS

          public static final int SRP_DSS

      See Also:
        Constant Field Values

    - #### SRP_RSA

          public static final int SRP_RSA

      See Also:
        Constant Field Values

    - #### ECDHE_PSK

          public static final int ECDHE_PSK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyExchangeAlgorithm

          public KeyExchangeAlgorithm()